DB2 9.5 < Fix Pack 9 Multiple Vulnerabilities

This script is Copyright (C) 2012-2014 Tenable Network Security, Inc.


Synopsis :

The remote database server is affected by multiple issues.

Description :

According to its version, the installation of DB2 9.5 on the remote
host is older than Fix Pack 9. Such versions are affected by the
following vulnerabilities :

- Incorrect, world-writable file permissions are in place
for the file 'NODES.REG'. (IC79518)

- An unspecified error can allow attacks to cause a
denial of service via unspecified vectors. (IC76899)

- A local user can exploit a vulnerability in the bundled
IBM Tivoli Monitoring Agent (ITMA) to escalate their
privileges. (IC79970)

- An unspecified error in the DB2 Administration Server
(DAS) can allow remote privilege escalation or denial
of service via unspecified vectors. Note that this
issue does not affect Windows hosts.(IC80728)

- An authorized user with 'CONNECT' privileges from
'PUBLIC' can cause a denial of service via unspecified
methods related to DB2's XML feature. (IC81379)

- An authorized user with 'CONNECT' and 'CREATEIN'
privileges on a database can perform unauthorized
reads on tables. (IC81387)

See also :

http://www-01.ibm.com/support/docview.wss?uid=swg24032087
http://www-01.ibm.com/support/docview.wss?uid=swg21293566#9
http://www-01.ibm.com/support/docview.wss?uid=swg21586193
http://www-01.ibm.com/support/docview.wss?uid=swg1IC79970
http://www-01.ibm.com/support/docview.wss?uid=swg1IC81379
http://www-01.ibm.com/support/docview.wss?uid=swg1IC81387

Solution :

Apply DB2 Version 9.5 Fix Pack 9 or later.

Risk factor :

Medium / CVSS Base Score : 6.0
(CVSS2#AV:N/AC:M/Au:S/C:P/I:P/A:P)
CVSS Temporal Score : 5.0
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Databases

Nessus Plugin ID: 58293 ()

Bugtraq ID: 52326

CVE ID: CVE-2012-0709
CVE-2012-0710
CVE-2012-0711
CVE-2012-0712
CVE-2012-1796
CVE-2012-1797